--- a/scripts/idonkey.pl
+++ b/scripts/idonkey.pl
@@ -1394,7 +1394,7 @@
 Irssi::settings_add_bool($IRSSI{name}, 'idonkey_filter_search_results', 0);
 Irssi::settings_add_bool($IRSSI{name}, 'idonkey_show_chunks', 1);
 
-Irssi::settings_add_str($IRSSI{name}, 'idonkey_mldonkey_cmd', 'screen mldonkey');
+Irssi::settings_add_str($IRSSI{name}, 'idonkey_mldonkey_cmd', 'screen mldonkey_server');
 Irssi::settings_add_int($IRSSI{name}, 'idonkey_statusbar_interval', 0);
 Irssi::settings_add_bool($IRSSI{name}, 'idonkey_statusbar_show_paused', 1);
 Irssi::settings_add_int($IRSSI{name}, 'idonkey_update_interval', 0);
